# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJavaAppletContext Class Reference

Provides a context for KJavaAppletWidgets. More...

`#include <kjavaappletcontext.h>`

Inheritance diagram for KJavaAppletContext:

[legend]
Collaboration diagram for KJavaAppletContext:

[legend]
List of all members.

## Signals

void | showStatus (const QString &txt)
void | showDocument (const QString &url, const QString &target)
void | appletLoaded ()

## Public Member Functions

int | contextId ()
void | setContextId (int id)
void | registerApplet (KJavaApplet *)
bool | create (KJavaApplet *)
void | destroy (KJavaApplet *)
void | init (KJavaApplet *)
void | start (KJavaApplet *)
void | stop (KJavaApplet *)
void | processCmd (QString cmd, QStringList args)
bool | getMember (QStringList &args, QStringList &ret_args)
bool | putMember (QStringList &args)
bool | callMember (QStringList &args, QStringList &ret_args)
void | derefObject (QStringList &args)
KJavaAppletServer * | getServer () const

## Protected Slots

void | received (const QString &cmd, const QStringList &arg)
void | javaProcessExited (int)

## Protected Attributes

KJavaAppletServer * | server

## Static Protected Attributes

static int | contextCount = 0

## Detailed Description

Provides a context for KJavaAppletWidgets.

Applets run in a context- (see the Java documentation for more information on contexts). Currently, each document in KHTML creates one context, in which multiple applets can run.

Author:
  Richard J. Moore, rich@kde.org

  Wynn Wilkes, wynnw@caldera.com

Definition at line 45 of file kjavaappletcontext.h.

## Member Function Documentation

int KJavaAppletContext::contextId | ( |  | ) |

| Returns the ID of this context. Definition at line 72 of file kjavaappletcontext.cpp.

void KJavaAppletContext::setContextId | ( | int | id | ) |

| Sets the ID of this context. Definition at line 77 of file kjavaappletcontext.cpp.

void KJavaAppletContext::registerApplet | ( | KJavaApplet * |  | ) |

| registers applet Definition at line 82 of file kjavaappletcontext.cpp. Referenced by KJavaApplet::setAppletContext().

bool KJavaAppletContext::create | ( | KJavaApplet * |  | ) |

| Sends a message to create the applet. Definition at line 90 of file kjavaappletcontext.cpp. References KJavaAppletServer::createApplet(). Referenced by KJavaApplet::create().

void KJavaAppletContext::destroy | ( | KJavaApplet * |  | ) |

| Sends a message to destroy the applet. Definition at line 108 of file kjavaappletcontext.cpp. References KJavaAppletServer::destroyApplet().

void KJavaAppletContext::init | ( | KJavaApplet * |  | ) |

| Sends a message to initialize the applet. Definition at line 116 of file kjavaappletcontext.cpp. References KJavaAppletServer::initApplet(). Referenced by KJavaApplet::init().

void KJavaAppletContext::start | ( | KJavaApplet * |  | ) |

| Sends a message to start the applet. Definition at line 121 of file kjavaappletcontext.cpp. References KJavaAppletServer::startApplet(). Referenced by KJavaApplet::start().

void KJavaAppletContext::stop | ( | KJavaApplet * |  | ) |

| Sends a message to stop the applet. Definition at line 126 of file kjavaappletcontext.cpp. References KJavaAppletServer::stopApplet(). Referenced by KJavaApplet::stop().

void KJavaAppletContext::processCmd | ( | QString | cmd,
|  | QStringList | args
| ) |

| use this for applet call backs, the AppletServer calls this directly. Definition at line 131 of file kjavaappletcontext.cpp.

bool KJavaAppletContext::getMember | ( | QStringList & | args,
|  | QStringList & | ret_args
| ) |

| LiveConnect functions. Definition at line 254 of file kjavaappletcontext.cpp. References KJavaAppletServer::getMember().

void KJavaAppletContext::showStatus | ( | const QString & | txt | ) | `[signal]`

| Signals the KHMTL Part to show this as the status message.

void KJavaAppletContext::showDocument | ( | const QString & | url,
|  | const QString & | target
| ) | `[signal]`

| Signals the KHTML Part to show a url in a given target.

void KJavaAppletContext::appletLoaded | ( |  | ) | `[signal]`

| Signals the KHTML Part an applet is loaded.

The documentation for this class was generated from the following files:

- kjavaappletcontext.h
- kjavaappletcontext.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003